/*  libwebview.so - Web rendering library for Syllable
 *  Copyright (C) 2008 Syllable Team
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

#include <util/message.h>

#include <webframeview.h>

#include <HitTestResult.h>
#include <CString.h>

using namespace os;

WebFrameView::WebFrameView( WebView* pcView, WebCore::Frame* pcFrame) : WebCore::FrameView( pcFrame )
{
	m_pcView = pcView;
	m_bStatusTextSet = false;
}

bool WebFrameView::handleMouseMoveEvent(const WebCore::PlatformMouseEvent& cEvent)
{
	WebCore::HitTestResult result = frame()->eventHandler()->hitTestResultAtPoint( cEvent.pos(), true );
	String cUrl = String( result.absoluteLinkURL().string().utf8().data() );

/* XXXKV: These messages should target WebView instead, which sould call a callback within itself.
   The client can overload WebView to get those callback events */
#if 1
	if( !cUrl.empty() )
	{
		Message cMsg( ID_SET_STATUS_BAR_TEXT );
		cMsg.AddString( "text", cUrl );
		m_pcView->GetWindow()->PostMessage( &cMsg, m_pcView->GetWindow() );
		m_bStatusTextSet = true;
	}
	else if( m_bStatusTextSet )
	{
   		Message cMsg( ID_SET_STATUS_BAR_TEXT );
		cMsg.AddString( "text", "" );
		m_pcView->GetWindow()->PostMessage( &cMsg, m_pcView->GetWindow() );
		m_bStatusTextSet = false;
	}
#endif
}

