/*  libwebview.so - Web rendering library for Syllable
 *  Copyright (C) 2008 Syllable Team
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

#ifndef __F_WEBVIEW_WEBFRAMEVIEW_H__
#define __F_WEBVIEW_WEBFRAMEVIEW_H__

#include <gui/window.h>

#include <webview.h>

#include <Frame.h>
#include <FrameView.h>

#include <page/EventHandler.h>

/* WebFrameView is a private classe which is used internally by WebView */
class WebFrameView : public WebCore::FrameView
{
	public:
		WebFrameView( os::WebView* pcView, WebCore::Frame* pcFrame);

		bool handleMouseMoveEvent(const WebCore::PlatformMouseEvent& cEvent);

	private:
		bool m_bStatusTextSet;
		os::WebView* m_pcView;
};

#endif	/* __F_WEBVIEW_WEBFRAMEVIEW_H__ */
